AOZ Studio Beta - Bug #892

Bob/Sprite Move x/y <num> and Bob/Sprite Move on <num> have no effect
03/13/2022 10:28 AM - malcolm harvey

Status: Closed Start date: 03/13/2022
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B12) u19

Description

If you substitute the below line Move y 2,"(1,5,20)(1,-5,20)I" : Move on with
instead, Sprite Move y 2,"(1,5,20)(1,-5,20)I" : Sprite Move on the Sprite or Bob does not move no effect.
It seams they actually only moves with Move x/y and Move on . (Possibly not implemented).

#manifest:"aoz"
#splashScreen:false
#googleFont:"baloo”
#speed:"fair"
#useAssetsResources:true

load asset "charscreen.png",2 //load in gfxscreen cover bob 10
screen 0

start:

sprite 2,160,100,2

Move y 2,"(1,5,20)(1,-5,20)I" : Move on
wait vbl

wait key

goto start

History

#1 - 04/05/2022 12:53 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee changed from AOZ Studio Team to Francois Lionet

Fixed!

#2 - 05/23/2022 10:28 AM - malcolm harvey

- Status changed from Resolved to Closed
